# Soil Biogeochemistry

```@meta
CurrentModule = ClimaLSM.Soil.Biogeochemistry
```
## Model Structure

```@docs
ClimaLSM.Soil.Biogeochemistry.SoilCO2Model
```

## Parameter Structure

```@docs
ClimaLSM.Soil.Biogeochemistry.SoilCO2ModelParameters
```

## Model-specific Types

```@docs
ClimaLSM.Soil.Biogeochemistry.MicrobeProduction
ClimaLSM.Soil.Biogeochemistry.SoilCO2FluxBC
ClimaLSM.Soil.Biogeochemistry.SoilCO2StateBC
ClimaLSM.Soil.Biogeochemistry.AbstractSoilDriver
ClimaLSM.Soil.Biogeochemistry.PrescribedSoil
```

## Functions of State

```@docs
ClimaLSM.Soil.Biogeochemistry.volumetric_air_content
ClimaLSM.Soil.Biogeochemistry.co2_diffusivity
ClimaLSM.Soil.Biogeochemistry.microbe_source
```